Npgsql 0.6.0.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ComponentModel.Component System.Data.IDbConnection System.ICloneable Represents an open connection to a PostgreSQL database.

This represents a unique connection to a PostgreSQL database backend. The connection is used in conjunction with other classes in the provider like , , and to fetch, add, update, or delete data in the database.

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  a
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  Npgsql.ProtocolVersion To be added. To be added. To be added.
- Method
  Npgsql.NpgsqlTransaction To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  Npgsql.NpgsqlTransaction `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Event
  1.0.5000.0
  2.0.0.0
  Mono.Security.Protocol.Tls.CertificateSelectionCallback To be added. To be added.
- Event
  1.0.5000.0
  2.0.0.0
  Mono.Security.Protocol.Tls.CertificateValidationCallback To be added. To be added.
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  Npgsql.NpgsqlConnection To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  System.String To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  Npgsql.NpgsqlCommand To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.DataTable To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.DataTable `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.DataTable `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(true)
  System.String To be added. To be added. To be added.
- Event
  1.0.5000.0
  2.0.0.0
  Npgsql.NoticeEventHandler To be added. To be added.
- Event
  Npgsql.NotificationEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Connect to the PostgreSQL database backend To be added

  To establish a connection to a server located at ip 127.0.0.1, port 5432, as the user joe, with the password secret, using the database joedata, you use the NpgsqlConnection as:

  `using System; using System.Data; using Npgsql; public class NpgsqlConnDemo { public static void Main(String[] args) { // Create a new connection object NpgsqlConnection conn = new NpgsqlConnection("Server=127.0.0.1;Port=5432;User Id=joe;Password=secret;Database=joedata;"); // Open the connection conn.Open(); // Close it conn.Close(); } }` 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(true)
  System.Int32 To be added. To be added. To be added.
- Event
  1.0.5000.0
  2.0.0.0
  Mono.Security.Protocol.Tls.PrivateKeySelectionCallback To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  Npgsql.ServerVersion To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(true)
  System.Boolean To be added. To be added. To be added.
- Property
  System.Data.ConnectionState To be added a To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.IDbTransaction To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.IDbTransaction `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object To be added. To be added. To be added.